/*
  Projeto Robô de Esteira c/ Arduino Duemilanove
  Este código de exemplo é de domínio público
  Autor: Pedro Zuchi
 */
 
void setup() {                
  // Inicialização dos pinos de controle dos motores
  pinMode(6, OUTPUT); // Liga e desliga o motor esquerdo (para controle de velocidade do motor utilizar esta porta como PWM)
  pinMode(9, OUTPUT); // Liga e desliga o motor direito (para controle de velocidade do motor utilizar esta porta como PWM) 
  pinMode(2, OUTPUT); // Sentido de direção do motor esquerdo
  pinMode(3, OUTPUT); // Sentido de direção do motor direto
  // Inicialização do pino de controle do farol
  pinMode(7, OUTPUT); // Liga e deslifa o farol 
  // Inicialização da porta serial
  Serial.begin(9600);  
}

// Loop principal do programa
void loop() {
  int i;
  if (Serial.available() > 0) { // Se algo chegar pela serial
    char C = Serial.read();    
    switch (C) {
      case 'F':                  // Frente
        digitalWrite(6, HIGH); 
        digitalWrite(9, HIGH); 
        digitalWrite(2, LOW); 
        digitalWrite(3, LOW); 
        delay(250); 
      break;
      case 'R':                  // Ré
        digitalWrite(6, HIGH);  
        digitalWrite(9, HIGH);  
        digitalWrite(2, HIGH);   
        digitalWrite(3, HIGH);    
        delay(250);              
      break;
      case 'D':                  // Giro à direita
        digitalWrite(6, HIGH); 
        digitalWrite(9, HIGH); 
        digitalWrite(2, LOW); 
        digitalWrite(3, HIGH); 
        delay(250);           
      break;
      case 'E':                  // Giro à esquerda
        digitalWrite(6, HIGH); 
        digitalWrite(9, HIGH); 
        digitalWrite(2, HIGH);  
        digitalWrite(3, LOW); 
        delay(250);            
      break;
      case 'P':                  // Parar
        digitalWrite(6, LOW);   
        digitalWrite(9, LOW);   
        delay(250);             
      break;
      case 'L':                  // Desliga o farol
        digitalWrite(7, LOW);   
        delay(250);             
      break;
      case 'M':                  // Liga o farol
        digitalWrite(7, HIGH);
        delay(250);
      break;
    }
  }
}
